
BIBD 3.9.8 (BCR1085, BCR1093, BCR1098) - Bug #17209

[BCR1093][iOS][Primary Device Binding] Device Binded After Cancel To Bind

16 August 2023 05:11 PM - Nor Khairun Aqila Jesmen

Status: Closed Start date: 16 August 2023

Priority: Normal Due date:  

Assignee: wanansari wanansari % Done: 100%

Category:  Estimated time: 2.00 hours

Target version:  Spent time: 2.00 hours

Description

Steps:

1. Login using User ID

2. Enter Internet PIN, click Login with Mobile Password

3. Enter Mobile Password, click Login

4. Display OTP screen

5. Enter valid OTP

6. Display message of Primary Device

7. Click Cancel on the message of Primary Device

8. Relogin with same User ID and click Login with Hardware Token

9. Enter Hardware Token, click Login

Issue:

User already cancel for bind as primary, but after relogin immediate can login without need to bind

Expected:

After cancel bind, user should require to go through bind process again including input OTP. User should not bind.

History

#1 - 18 August 2023 04:13 PM - Rafly Prayogos

- File WhatsApp Video 2023-08-18 at 15.09.34.mp4 added

- File WhatsApp Video 2023-08-18 at 15.09.35.mp4 added

- Status changed from New to Resolved

- Assignee changed from Rafly Prayogos to Nor Khairun Aqila Jesmen

- % Done changed from 0 to 100

- Estimated time set to 2.00

SIT Build -> https://i.diawi.com/rSnFzV

#2 - 21 August 2023 04:33 PM - Nor Khairun Aqila Jesmen

- Status changed from Resolved to Closed

- Assignee changed from Nor Khairun Aqila Jesmen to wanansari wanansari

Tested good

Files

WhatsApp Video 2023-08-16 at 5.09.50 PM.mp4 7.05 MB 16 August 2023 Nor Khairun Aqila Jesmen

WhatsApp Video 2023-08-18 at 15.09.35.mp4 915 KB 18 August 2023 Rafly Prayogos

WhatsApp Video 2023-08-18 at 15.09.34.mp4 2.41 MB 18 August 2023 Rafly Prayogos
